summaryrefslogtreecommitdiffstats
path: root/bin/ptxdist
diff options
context:
space:
mode:
authorMichael Olbrich <m.olbrich@pengutronix.de>2016-11-28 14:51:52 +0100
committerMichael Olbrich <m.olbrich@pengutronix.de>2016-11-29 10:24:18 +0100
commit40e575e003c035e20614e45172af7bbe933ce1ee (patch)
treee41271a92e045987c651c9c26b4fdaee0b8478a2 /bin/ptxdist
parent6673513a20680602e5045aa335029eccd1022d2f (diff)
downloadptxdist-40e575e003c035e20614e45172af7bbe933ce1ee.tar.gz
ptxdist-40e575e003c035e20614e45172af7bbe933ce1ee.tar.xz
ptxdist: improve 'print' handling
'print-%' does not match 'print-/some/path'. This would be useful to debug the tarball/package mappings that are defined as '$(<PKG>_SOURCE) = <PKG>'. Using '/print-%' instead seems to work better. Use it but keep the old patterns for backwards compatibility. Signed-off-by: Michael Olbrich <m.olbrich@pengutronix.de>
Diffstat (limited to 'bin/ptxdist')
-rwxr-xr-xbin/ptxdist4
1 files changed, 2 insertions, 2 deletions
diff --git a/bin/ptxdist b/bin/ptxdist
index 5ca21325c..59a39ef56 100755
--- a/bin/ptxdist
+++ b/bin/ptxdist
@@ -2028,7 +2028,7 @@ EOF
exit 1
fi
while [ ${#} -gt 0 ]; do
- if [ -n "${!1}" ]; then
+ if [[ ! ( "${1}" =~ "/" ) ]] && [ -n "${!1}" ]; then
if [ "${PTXDIST_VERBOSE}" = "1" ]; then
echo -n "${1}="
fi
@@ -2040,7 +2040,7 @@ EOF
check_deps || exit 1
check=1
fi
- ptxd_make_log "print-${1}" 2>/dev/null || {
+ ptxd_make_log "/print-${1}" 2>/dev/null || {
echo "${1} undefined" >&2
exit 1
}